# Youtube
  # beauty
  - platform: rest
    scan_interval: 300
    name: youtube_beauty
    resource: !secret youtube_beauty
    value_template: '{{ value_json["items"][0].statistics.subscriberCount }}'
    unit_of_measurement: Subscribers
    force_update: true
  - platform: rest
    scan_interval: 900
    name: youtube_beauty_videos
    resource: !secret youtube_beauty
    value_template: '{{ value_json["items"][0].statistics.videoCount }}'
    force_update: true
  - platform: rest
    scan_interval: 600
    name: youtube_beauty_views
    resource: !secret youtube_beauty
    value_template: '{{ value_json["items"][0].statistics.viewCount }}'
    force_update: true

  # mtb
  - platform: rest
    scan_interval: 300
    name: youtube_mtb
    resource: !secret youtube_mtb
    value_template: '{{ value_json["items"][0].statistics.subscriberCount }}'
    unit_of_measurement: Subscribers
    force_update: true
  - platform: rest
    scan_interval: 900
    name: youtube_mtb_videos
    resource: !secret youtube_mtb
    value_template: '{{ value_json["items"][0].statistics.videoCount }}'
    force_update: true
  - platform: rest
    scan_interval: 600
    name: youtube_mtb_views
    resource: !secret youtube_mtb
    value_template: '{{ value_json["items"][0].statistics.viewCount }}'
    force_update: true

# Bit.ly
  # http://bit.ly/blog-jbb
  - platform: rest
    scan_interval: 300
    name: bitly_blog_bb
    resource: !secret bitly_blog_bb
    value_template: '{{ value_json.data.link_clicks }}'
    force_update: true
  # http://bit.ly/insta-jbb
  - platform: rest
    scan_interval: 300
    name: bitly_instagram_bb
    resource: !secret bitly_instagram_bb
    value_template: '{{ value_json.data.link_clicks }}'
    force_update: true
  #http://bit.ly/impressum-jbb
  - platform: rest
    scan_interval: 300
    name: bitly_impressum_bb
    resource: !secret bitly_impressum_bb
    value_template: '{{ value_json.data.link_clicks }}'
    force_update: true
  # http://bit.ly/youtube-bb
  - platform: rest
    scan_interval: 300
    name: bitly_youtube_bb
    resource: !secret bitly_youtube_bb
    value_template: '{{ value_json.data.link_clicks }}'
    force_update: true

# Instagram
  #beauty
  - platform: rest
    scan_interval: 300
    name: instagram_beauty
    resource: !secret instagram_beauty
    value_template: '{{ value_json.data.counts.followed_by }}'
    unit_of_measurement: Followers
    force_update: true
  - platform: rest
    scan_interval: 900
    name: instagram_beauty_follows
    resource: !secret instagram_beauty
    value_template: '{{ value_json.data.counts.follows }}'
    force_update: true
  - platform: rest
    scan_interval: 600
    name: instagram_beauty_media
    resource: !secret instagram_beauty
    value_template: '{{ value_json.data.counts.media }}'
    force_update: true

  # franky
  - platform: rest
    scan_interval: 300
    name: instagram_franky
    resource: !secret instagram_franky
    value_template: '{{ value_json.data.counts.followed_by }}'
    unit_of_measurement: Followers
    force_update: true
  - platform: rest
    scan_interval: 900
    name: instagram_franky_follows
    resource: !secret instagram_franky
    value_template: '{{ value_json.data.counts.follows }}'
    force_update: true
  - platform: rest
    scan_interval: 600
    name: instagram_franky_media
    resource: !secret instagram_franky
    value_template: '{{ value_json.data.counts.media }}'
    force_update: true

  # fb
  - platform: rest
    scan_interval: 300
    name: instagram_fb
    resource: !secret instagram_fb
    value_template: '{{ value_json.data.counts.followed_by }}'
    unit_of_measurement: Followers
    force_update: true
  - platform: rest
    scan_interval: 900
    name: instagram_fb_follows
    resource: !secret instagram_fb
    value_template: '{{ value_json.data.counts.follows }}'
    force_update: true
  - platform: rest
    scan_interval: 600
    name: instagram_fb_media
    resource: !secret instagram_fb
    value_template: '{{ value_json.data.counts.media }}'
    force_update: true

  # mtb
  - platform: rest
    scan_interval: 300
    name: instagram_mtb
    resource: !secret instagram_mtb
    value_template: '{{ value_json.data.counts.followed_by }}'
    unit_of_measurement: Followers
    force_update: true
  - platform: rest
    scan_interval: 900
    name: instagram_mtb_follows
    resource: !secret instagram_mtb
    value_template: '{{ value_json.data.counts.follows }}'
    force_update: true
  - platform: rest
    scan_interval: 600
    name: instagram_mtb_media
    resource: !secret instagram_mtb
    value_template: '{{ value_json.data.counts.media }}'
    force_update: true

  # medieval
  - platform: rest
    scan_interval: 300
    name: instagram_medieval
    resource: !secret instagram_medieval
    value_template: '{{ value_json.data.counts.followed_by }}'
    unit_of_measurement: Followers
    force_update: true
  - platform: rest
    scan_interval: 900
    name: instagram_medieval_follows
    resource: !secret instagram_medieval
    value_template: '{{ value_json.data.counts.follows }}'
    force_update: true
  - platform: rest
    scan_interval: 600
    name: instagram_medieval_media
    resource: !secret instagram_medieval
    value_template: '{{ value_json.data.counts.media }}'
    force_update: true

  # lotte
  - platform: rest
    scan_interval: 300
    name: instagram_lotte
    resource: !secret instagram_lotte
    value_template: '{{ value_json.data.counts.followed_by }}'
    unit_of_measurement: Followers
    force_update: true
  - platform: rest
    scan_interval: 900
    name: instagram_lotte_follows
    resource: !secret instagram_lotte
    value_template: '{{ value_json.data.counts.follows }}'
    force_update: true
  - platform: rest
    scan_interval: 600
    name: instagram_lotte_media
    resource: !secret instagram_lotte
    value_template: '{{ value_json.data.counts.media }}'
    force_update: true

  # codedwithlove
  - platform: rest
    scan_interval: 300
    name: instagram_codedwithlove
    resource: !secret instagram_codedwithlove
    value_template: '{{ value_json.data.counts.followed_by }}'
    unit_of_measurement: Followers
    force_update: true
  - platform: rest
    scan_interval: 900
    name: instagram_codedwithlove_follows
    resource: !secret instagram_codedwithlove
    value_template: '{{ value_json.data.counts.follows }}'
    force_update: true
  - platform: rest
    scan_interval: 600
    name: instagram_codedwithlove_media
    resource: !secret instagram_codedwithlove
    value_template: '{{ value_json.data.counts.media }}'
    force_update: true

# TikTok
  # beauty
  - platform: rest
    scan_interval: 300
    name: tiktok_beauty
    resource: !secret tiktok_beauty
    value_template: '{{ value_json.data.userInfo.stats.followerCount }}'
    unit_of_measurement: Followers
    force_update: true
  - platform: rest
    scan_interval: 300
    name: tiktok_beauty_hearts
    resource: !secret tiktok_beauty
    value_template: '{{ value_json.data.userInfo.stats.heartCount }}'
    force_update: true
  - platform: rest
    scan_interval: 300
    name: tiktok_beauty_videos
    resource: !secret tiktok_beauty
    value_template: '{{ value_json.data.userInfo.stats.videoCount }}'
    force_update: true